<!-- views/partials/header.ejs -->
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <title><%= title %></title>

    <link rel="stylesheet" href="/stylesheets/style.css" />
    <link
      rel="stylesheet"
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css"
      integrity="sha384-rbsA2VBKQhggwzxH7pPCaAqO46MgnOM80zW1RWuH61DGLwZJEdK2Kadq2F9CUG65"
      crossorigin="anonymous"
    />
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css">
    <script
      src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.bundle.min.js"
      integrity="sha384-w76AqPfDkMBDXo30jS1Sgez6pr3x5MlQ1ZAGC+nuZB+EYdgRZgiwxhTBTkF7CXvN"
      crossorigin="anonymous"
      defer
    ></script>

    <!--Maps - Image Location -->
    <link rel="stylesheet" href="https://unpkg.com/leaflet/dist/leaflet.css" />
    <script src="https://unpkg.com/leaflet/dist/leaflet.js"></script>
    <script defer src="/javascripts/createMap.js"></script> <!--index map-->
    <script defer src="/javascripts/mapLocationToCoordinate.js"></script> <!--add map-->

    <!--Image date, time, gps coordinates-->
    <script src="https://cdn.jsdelivr.net/npm/exif-js"></script>
    <script defer src="/javascripts/image-date-gps.js"></script>

    <!-- Information display-->
    <script defer src="/javascripts/delete.js"></script>
    <script defer src="/javascripts/activeTab.js"></script>
    <script defer src="/javascripts/activeCarousel.js"></script>
    
</head>

<!-- carousel background -->
<div id="carouselBackground" class="carousel slide carousel-fade" data-bs-ride="cycle" data-bs-interval="15000" >
  <div class="carousel-inner">
    <div class="carousel-item active">
      <img src="/images/site_images/background0.png" id="0">
    </div>
    <div class="carousel-item">
      <img src="/images/site_images/background1.png" id="1">
    </div>
    <div class="carousel-item">
      <img src="/images/site_images/background2.jpg" id="2">
    </div>
  </div>
  <button class="carousel-control-prev" type="button" data-bs-target="#carouselBackground" data-bs-slide="prev">
    <span class="carousel-control-prev-icon" aria-hidden="false"></span>
    <span class="visually-hidden">Previous</span>
  </button>
  <button class="carousel-control-next" type="button" data-bs-target="#carouselBackground" data-bs-slide="next">
    <span class="carousel-control-next-icon" aria-hidden="false"></span>
    <span class="visually-hidden">Next</span>
  </button>
</div>

<div class="container"> <!--smaller information view-->
  <div class="header clearfix"> <!--Nav-bar-->
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
      <div class="container-fluid">
        <ul class="nav nav-tabs">
          <li class="nav-item" id="linkColor">
            <a class="nav-link" id="homeTab" href="/">Home</a>
          </li>
          <li class="nav-item">
              <a class="nav-link" id="plantsTab" href="/plants"><img class="navImage" src="/images/nav_images/plant.png"/> Plants</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" id="fungiTab" href="/fungi"><img class="navImage" src="/images/nav_images/mushroom.jpg"/> Fungi</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" id="protistsTab" href="/protists"><img class="navImage" src="/images/nav_images/protist.jpg"/> Protists</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" id="animalsTab" href="/animals"><img class="navImage" src="/images/nav_images/animal.png"/> Animals</a>
          </li>
        </ul>
          <ul class="nav nav-tabs">
            <li class="dropdown-menu-end">
                  <a
                    class="nav-link dropdown-toggle"
                    href="#"
                    role="button"
                    data-bs-toggle="dropdown"
                    aria-expanded="false"
                    id="linkColor"
                  >User Portal </a>
                  <ul class="dropdown-menu" id="developerDropdown">
                    <a class="dropdown-item" href="/identification">Identification</a>
                    <a class="dropdown-item" href="/forum">Forum</a>
                  </ul>
            </li>
          </ul>
      </div>
    </nav>
  </div>
  <body>
    <div id="containerInner">
      